From: Ole Streicher <olebole@debian.org>
Date: Thu, 5 Dec 2019 13:59:36 +0100
Subject: Copy from conftest.py to get small_tree fixture

Check the pytest documentation, it *should* work from conftest.py as
well, but it doesn't. No idea why.
---
 asdf/tests/test_api.py          | 7 +++++++
 asdf/tests/test_array_blocks.py | 6 ++++++
 asdf/tests/test_file_format.py  | 6 ++++++
 asdf/tests/test_generic_io.py   | 4 ++++
 4 files changed, 23 insertions(+)

diff --git a/asdf/tests/test_api.py b/asdf/tests/test_api.py
index fa9b44a..4d75f7d 100644
--- a/asdf/tests/test_api.py
+++ b/asdf/tests/test_api.py
@@ -26,6 +26,13 @@ from .helpers import (
     assert_no_warnings,
 )
 
+from . import create_small_tree
+
+
+@pytest.fixture
+def small_tree():
+    return create_small_tree()
+
 
 def test_get_data_from_closed_file(tmpdir):
     tmpdir = str(tmpdir)
diff --git a/asdf/tests/test_array_blocks.py b/asdf/tests/test_array_blocks.py
index 9905f10..cefbbb4 100644
--- a/asdf/tests/test_array_blocks.py
+++ b/asdf/tests/test_array_blocks.py
@@ -12,6 +12,12 @@ import asdf
 from asdf import block
 from asdf import constants
 from asdf import generic_io
+from . import create_small_tree
+
+
+@pytest.fixture
+def small_tree():
+    return create_small_tree()
 
 
 def test_external_block(tmpdir):
diff --git a/asdf/tests/test_file_format.py b/asdf/tests/test_file_format.py
index 3c6bc6b..1c80e86 100644
--- a/asdf/tests/test_file_format.py
+++ b/asdf/tests/test_file_format.py
@@ -7,6 +7,12 @@ import pytest
 
 import asdf
 from asdf import generic_io
+from . import create_small_tree
+
+
+@pytest.fixture
+def small_tree():
+    return create_small_tree()
 
 
 def test_no_yaml_end_marker(tmpdir):
diff --git a/asdf/tests/test_generic_io.py b/asdf/tests/test_generic_io.py
index 6939902..22fc67b 100644
--- a/asdf/tests/test_generic_io.py
+++ b/asdf/tests/test_generic_io.py
@@ -18,6 +18,10 @@ from asdf.asdf import is_asdf_file
 
 from . import helpers, create_small_tree, create_large_tree
 
+@pytest.fixture
+def small_tree():
+    return create_small_tree()
+
 
 @pytest.fixture(params=[create_small_tree, create_large_tree])
 def tree(request):
